# Uses of Interface
org.astrogrid.samp.xmlrpc.SampXmlRpcClient

Packages that use SampXmlRpcClient
Package
Description
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.
org.astrogrid.samp.xmlrpc.apache
Implementation of pluggable XML-RPC layer using Apache XML-RPC.
org.astrogrid.samp.xmlrpc.internal
Implementation of pluggable XML-RPC layer which requires no external dependencies.

## Uses of SampXmlRpcClient in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return SampXmlRpcClient
Modifier and Type
Method
Description
`SampXmlRpcClient`
SampXmlRpcClientFactory.`createClient(URL endpoint)`
Returns an XML-RPC client implementation.
Constructors in org.astrogrid.samp.xmlrpc with parameters of type SampXmlRpcClient
Modifier
Constructor
Description
``
`XmlRpcHubConnection(SampXmlRpcClient xClient, String prefix, List registerArgs)`
Constructor.

## Uses of SampXmlRpcClient in org.astrogrid.samp.xmlrpc.apache

Classes in org.astrogrid.samp.xmlrpc.apache that implement SampXmlRpcClient
Modifier and Type
Class
Description
`class`
`ApacheClient`
SampXmlRpcClient implementation based on Apache XMLRPC classes.
Methods in org.astrogrid.samp.xmlrpc.apache that return SampXmlRpcClient
Modifier and Type
Method
Description
`SampXmlRpcClient`
ApacheClientFactory.`createClient(URL endpoint)`

## Uses of SampXmlRpcClient in org.astrogrid.samp.xmlrpc.internal

Classes in org.astrogrid.samp.xmlrpc.internal that implement SampXmlRpcClient
Modifier and Type
Class
Description
`class`
`InternalClient`
XML-RPC client implementation suitable for use with SAMP.
`class`
`RpcLoggingInternalClient`
InternalClient subclass which additionally logs all XML-RPC calls/responses to an output stream.
`class`
`XmlLoggingInternalClient`
InternalClient subclass which additionally logs all XML-RPC calls/responses to an output stream.
Methods in org.astrogrid.samp.xmlrpc.internal that return SampXmlRpcClient
Modifier and Type
Method
Description
`SampXmlRpcClient`
InternalClientFactory.`createClient(URL endpoint)`
`SampXmlRpcClient`
RpcLoggingInternalClientFactory.`createClient(URL endpoint)`
`SampXmlRpcClient`
XmlLoggingInternalClientFactory.`createClient(URL endpoint)`